<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Cell (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Cell (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":38,"i5":6,"i6":6,"i7":6,"i8":6,"i9":38,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6,"i30":6,"i31":6,"i32":6,"i33":6,"i34":6,"i35":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Cell.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/BuiltinFormats.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Cell.html" target="_top">Frames</a></li>
        <li><a href="Cell.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface Cell" class="title">Interface Cell</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>, <a
                            href="../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html"
                            title="class in org.apache.poi.xssf.streaming">SXSSFCell</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFCell</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Cell</span></pre>
                <div class="block">High level representation of a cell in a row of a spreadsheet.
                    <p>
                        Cells can be numeric, formula-based or string-based (text). The cell type
                        specifies this. String cells cannot conatin numbers and numeric cells cannot
                        contain strings (at least according to our model). Client apps should do the
                        conversions themselves. Formula cells have the formula string, as well as
                        the formula result, which can be numeric or string.
                    </p>
                    <p>
                        Cells should have their number (0 based) before being added to a row.
                    </p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getAddress--">getAddress</a></span>()</code>
                                    <div class="block">Gets the address of this cell</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getArrayFormulaRange--">getArrayFormulaRange</a></span>()</code>
                                    <div class="block">Only valid for array formula cells</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getBooleanCellValue--">getBooleanCellValue</a></span>()</code>
                                    <div class="block">Get the value of the cell as a boolean.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCachedFormulaResultType--">getCachedFormulaResultType</a></span>()</code>
                                    <div class="block">Only valid for formula cells

                                        Will return <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                                       title="enum in org.apache.poi.ss.usermodel"><code>CellType</code></a>
                                        in a future version of POI.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCachedFormulaResultTypeEnum--">getCachedFormulaResultTypeEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                        title="interface in org.apache.poi.ss.usermodel">Comment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellComment--">getCellComment</a></span>()</code>
                                    <div class="block">Returns comment associated with this cell</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellFormula--">getCellFormula</a></span>()</code>
                                    <div class="block">Return a formula for the cell, for example,
                                        <code>SUM(C4:E4)</code></div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellStyle--">getCellStyle</a></span>()</code>
                                    <div class="block">Return the cell's style.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellType--">getCellType</a></span>()</code>
                                    <div class="block">Return the cell type.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellTypeEnum--">getCellTypeEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getColumnIndex--">getColumnIndex</a></span>()</code>
                                    <div class="block">Returns column index of this cell</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.util.Date</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getDateCellValue--">getDateCellValue</a></span>()</code>
                                    <div class="block">Get the value of the cell as a date.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getErrorCellValue--">getErrorCellValue</a></span>()</code>
                                    <div class="block">Get the value of the cell as an error code.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.ss.usermodel">Hyperlink</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getHyperlink--">getHyperlink</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getNumericCellValue--">getNumericCellValue</a></span>()</code>
                                    <div class="block">Get the value of the cell as a number.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getRichStringCellValue--">getRichStringCellValue</a></span>()</code>
                                    <div class="block">Get the value of the cell as a XSSFRichTextString</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                              title="interface in org.apache.poi.ss.usermodel">Row</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getRow--">getRow</a></span>()</code>
                                    <div class="block">Returns the Row this cell belongs to</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getRowIndex--">getRowIndex</a></span>()</code>
                                    <div class="block">Returns row index of a row in the sheet that contains this cell
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getSheet--">getSheet</a></span>()</code>
                                    <div class="block">Returns the sheet this cell belongs to</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getStringCellValue--">getStringCellValue</a></span>()</code>
                                    <div class="block">Get the value of the cell as a string</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#isPartOfArrayFormulaGroup--">isPartOfArrayFormulaGroup</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#removeCellComment--">removeCellComment</a></span>()</code>
                                    <div class="block">Removes the comment for this cell, if there is one.</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#removeHyperlink--">removeHyperlink</a></span>()</code>
                                    <div class="block">Removes the hyperlink for this cell, if there is one.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setAsActiveCell--">setAsActiveCell</a></span>()</code>
                                    <div class="block">Sets this cell as the active cell for the worksheet</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellComment-org.apache.poi.ss.usermodel.Comment-">setCellComment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                        title="interface in org.apache.poi.ss.usermodel">Comment</a>&nbsp;comment)</code>
                                    <div class="block">Assign a comment to this cell</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellErrorValue-byte-">setCellErrorValue</a></span>(byte&nbsp;value)</code>
                                    <div class="block">Set a error value for the cell</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellFormula-java.lang.String-">setCellFormula</a></span>(java.lang.String&nbsp;formula)</code>
                                    <div class="block">Sets formula for this cell.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellStyle-org.apache.poi.ss.usermodel.CellStyle-">setCellStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                    <div class="block">Set the style for the cell.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellType-org.apache.poi.ss.usermodel.CellType-">setCellType</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</code>
                                    <div class="block">Set the cells type (numeric, formula or string).</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellValue-boolean-">setCellValue</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Set a boolean value for the cell</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellValue-java.util.Calendar-">setCellValue</a></span>(java.util.Calendar&nbsp;value)</code>
                                    <div class="block">Set a date value for the cell.</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellValue-java.util.Date-">setCellValue</a></span>(java.util.Date&nbsp;value)</code>
                                    <div class="block">Converts the supplied date to its equivalent Excel numeric value
                                        and sets
                                        that into the cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellValue-double-">setCellValue</a></span>(double&nbsp;value)</code>
                                    <div class="block">Set a numeric value for the cell</div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellValue-org.apache.poi.ss.usermodel.RichTextString-">setCellValue</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;value)</code>
                                    <div class="block">Set a rich string value for the cell.</div>
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellValue-java.lang.String-">setCellValue</a></span>(java.lang.String&nbsp;value)</code>
                                    <div class="block">Set a string value for the cell.</div>
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setHyperlink-org.apache.poi.ss.usermodel.Hyperlink-">setHyperlink</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.ss.usermodel">Hyperlink</a>&nbsp;link)</code>
                                    <div class="block">Assign a hyperlink to this cell</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getColumnIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnIndex</h4>
                                <pre>int&nbsp;getColumnIndex()</pre>
                                <div class="block">Returns column index of this cell</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>zero-based column index of a column in a sheet.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowIndex</h4>
                                <pre>int&nbsp;getRowIndex()</pre>
                                <div class="block">Returns row index of a row in the sheet that contains this cell</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>zero-based row index of a row in the sheet that contains this cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;getSheet()</pre>
                                <div class="block">Returns the sheet this cell belongs to</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the sheet this cell belongs to</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;getRow()</pre>
                                <div class="block">Returns the Row this cell belongs to</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the Row that owns this cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellType-org.apache.poi.ss.usermodel.CellType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellType</h4>
                                <pre>void&nbsp;setCellType(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</pre>
                                <div class="block">Set the cells type (numeric, formula or string).
                                    <p>If the cell currently contains a value, the value will
                                        be converted to match the new type, if possible. Formatting
                                        is generally lost in the process however.</p>
                                    <p>If what you want to do is get a String value for your
                                        numeric cell, <i>stop!</i>. This is not the way to do it.
                                        Instead, for fetching the string value of a numeric or boolean
                                        or date cell, use <a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                                title="class in org.apache.poi.ss.usermodel"><code>DataFormatter</code></a>
                                        instead.</p></div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the specified cell type is
                                        invalid
                                    </dd>
                                    <dd><code>java.lang.IllegalStateException</code> - if the current value cannot be
                                        converted to the new type
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellType</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;getCellType()</pre>
                                <div class="block">Return the cell type.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellTypeEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellTypeEnum</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
<a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;getCellTypeEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Return the cell type.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell type</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 3
                                        Will be renamed to <code>getCellType()</code> when we make the CellType enum
                                        transition in POI 4.0. See bug 59791.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCachedFormulaResultType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCachedFormulaResultType</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;getCachedFormulaResultType()</pre>
                                <div class="block">Only valid for formula cells

                                    Will return <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                                   title="enum in org.apache.poi.ss.usermodel"><code>CellType</code></a>
                                    in a future version of POI.
                                    For forwards compatibility, do not hard-code cell type literals in your code.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>one of (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellType.html#NUMERIC"><code>CellType.NUMERIC</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#STRING"><code>CellType.STRING</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#BOOLEAN"><code>CellType.BOOLEAN</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#ERROR"><code>CellType.ERROR</code></a>)
                                        depending
                                        on the cached value of the formula
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCachedFormulaResultTypeEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCachedFormulaResultTypeEnum</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
<a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;getCachedFormulaResultTypeEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Only valid for formula cells</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>one of (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellType.html#NUMERIC"><code>CellType.NUMERIC</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#STRING"><code>CellType.STRING</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#BOOLEAN"><code>CellType.BOOLEAN</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#ERROR"><code>CellType.ERROR</code></a>)
                                        depending
                                        on the cached value of the formula
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 3
                                        Will be renamed to <code>getCachedFormulaResultType()</code> when we make the
                                        CellType enum transition in POI 4.0. See bug 59791.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellValue-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellValue</h4>
                                <pre>void&nbsp;setCellValue(double&nbsp;value)</pre>
                                <div class="block">Set a numeric value for the cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the numeric value to set this cell to. For formulas we'll
                                        set the
                                        precalculated value, for numerics we'll set its value. For other types we
                                        will change the cell to a numeric cell and set its value.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellValue-java.util.Date-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellValue</h4>
                                <pre>void&nbsp;setCellValue(java.util.Date&nbsp;value)</pre>
                                <div class="block"><p>Converts the supplied date to its equivalent Excel numeric value
                                    and sets
                                    that into the cell.</p>

                                    <p><b>Note</b> - There is actually no 'DATE' cell type in Excel. In many
                                        cases (when entering date values), Excel automatically adjusts the
                                        <i>cell style</i> to some date format, creating the illusion that the cell
                                        data type is now something besides <a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellType.html#NUMERIC"><code>CellType.NUMERIC</code></a>.
                                        POI
                                        does not attempt to replicate this behaviour. To make a numeric cell
                                        display as a date, use <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellStyle-org.apache.poi.ss.usermodel.CellStyle-"><code>setCellStyle(CellStyle)</code></a>
                                        etc.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the numeric value to set this cell to. For formulas we'll
                                        set the
                                        precalculated value, for numerics we'll set its value. For other types we
                                        will change the cell to a numerics cell and set its value.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellValue-java.util.Calendar-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellValue</h4>
                                <pre>void&nbsp;setCellValue(java.util.Calendar&nbsp;value)</pre>
                                <div class="block"><p>Set a date value for the cell. Excel treats dates as numeric so
                                    you will need to format the cell as
                                    a date.</p>
                                    <p>
                                        This will set the cell value based on the Calendar's timezone. As Excel
                                        does not support timezones this means that both 20:00+03:00 and
                                        20:00-03:00 will be reported as the same value (20:00) even that there
                                        are 6 hours difference between the two times. This difference can be
                                        preserved by using <code>setCellValue(value.getTime())</code> which will
                                        automatically shift the times to the default timezone.
                                    </p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the date value to set this cell to. For formulas we'll set
                                        the
                                        precalculated value, for numerics we'll set its value. For othertypes we
                                        will change the cell to a numeric cell and set its value.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellValue-org.apache.poi.ss.usermodel.RichTextString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellValue</h4>
                                <pre>void&nbsp;setCellValue(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;value)</pre>
                                <div class="block">Set a rich string value for the cell.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - value to set the cell to. For formulas we'll set the
                                        formula
                                        string, for String cells we'll set its value. For other types we will
                                        change the cell to a string cell and set its value.
                                        If value is null then we will change the cell to a Blank cell.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellValue-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellValue</h4>
                                <pre>void&nbsp;setCellValue(java.lang.String&nbsp;value)</pre>
                                <div class="block">Set a string value for the cell.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - value to set the cell to. For formulas we'll set the
                                        formula
                                        string, for String cells we'll set its value. For other types we will
                                        change the cell to a string cell and set its value.
                                        If value is null then we will change the cell to a Blank cell.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellFormula-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellFormula</h4>
                                <pre>void&nbsp;setCellFormula(java.lang.String&nbsp;formula)
             throws <a href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                       title="class in org.apache.poi.ss.formula">FormulaParseException</a></pre>
                                <div class="block">Sets formula for this cell.
                                    <p>
                                        Note, this method only sets the formula string and does not calculate the
                                        formula value.
                                        To set the precalculated value use <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellValue-double-"><code>setCellValue(double)</code></a>
                                        or <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellValue-java.lang.String-"><code>setCellValue(String)</code></a>
                                    </p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formula</code> - the formula to set, e.g. <code>"SUM(C4:E4)"</code>.
                                        If the argument is <code>null</code> then the current formula is removed.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                                            title="class in org.apache.poi.ss.formula">FormulaParseException</a></code>
                                        - if the formula has incorrect syntax or is otherwise invalid
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellFormula--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellFormula</h4>
                                <pre>java.lang.String&nbsp;getCellFormula()</pre>
                                <div class="block">Return a formula for the cell, for example, <code>SUM(C4:E4)</code>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a formula for the cell</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalStateException</code> - if the cell type returned by <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellType--"><code>getCellType()</code></a>
                                        is not <a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellType.html#FORMULA"><code>CellType.FORMULA</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumericCellValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumericCellValue</h4>
                                <pre>double&nbsp;getNumericCellValue()</pre>
                                <div class="block">Get the value of the cell as a number.
                                    <p>
                                        For strings we throw an exception. For blank cells we return a 0.
                                        For formulas or error cells we return the precalculated value;
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the value of the cell as a number</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalStateException</code> - if the cell type returned by <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellType--"><code>getCellType()</code></a>
                                        is
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#STRING"><code>CellType.STRING</code></a>
                                    </dd>
                                    <dd><code>java.lang.NumberFormatException</code> - if the cell value isn't a
                                        parsable <code>double</code>.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>for turning this number
                                        into a string similar to that which Excel would render this number
                                        as.</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDateCellValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDateCellValue</h4>
                                <pre>java.util.Date&nbsp;getDateCellValue()</pre>
                                <div class="block">Get the value of the cell as a date.
                                    <p>
                                        For strings we throw an exception. For blank cells we return a null.
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the value of the cell as a date</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalStateException</code> - if the cell type returned by <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellType--"><code>getCellType()</code></a>
                                        is
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#STRING"><code>CellType.STRING</code></a>
                                    </dd>
                                    <dd><code>java.lang.NumberFormatException</code> - if the cell value isn't a
                                        parsable <code>double</code>.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>for formatting this date
                                        into a string similar to how excel does.</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRichStringCellValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRichStringCellValue</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;getRichStringCellValue()</pre>
                                <div class="block">Get the value of the cell as a XSSFRichTextString
                                    <p>
                                        For numeric cells we throw an exception. For blank cells we return an empty
                                        string.
                                        For formula cells we return the pre-calculated value if a string, otherwise an
                                        exception.
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the value of the cell as a XSSFRichTextString</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStringCellValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStringCellValue</h4>
                                <pre>java.lang.String&nbsp;getStringCellValue()</pre>
                                <div class="block">Get the value of the cell as a string
                                    <p>
                                        For numeric cells we throw an exception. For blank cells we return an empty
                                        string.
                                        For formulaCells that are not string Formulas, we throw an exception.
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the value of the cell as a string</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellValue-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellValue</h4>
                                <pre>void&nbsp;setCellValue(boolean&nbsp;value)</pre>
                                <div class="block">Set a boolean value for the cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the boolean value to set this cell to. For formulas we'll
                                        set the
                                        precalculated value, for booleans we'll set its value. For other types we
                                        will change the cell to a boolean cell and set its value.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellErrorValue-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellErrorValue</h4>
                                <pre>void&nbsp;setCellErrorValue(byte&nbsp;value)</pre>
                                <div class="block">Set a error value for the cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the error value to set this cell to. For formulas we'll set
                                        the
                                        precalculated value , for errors we'll set
                                        its value. For other types we will change the cell to an error
                                        cell and set its value.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                           title="enum in org.apache.poi.ss.usermodel"><code>FormulaError</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBooleanCellValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBooleanCellValue</h4>
                                <pre>boolean&nbsp;getBooleanCellValue()</pre>
                                <div class="block">Get the value of the cell as a boolean.
                                    <p>
                                        For strings, numbers, and errors, we throw an exception. For blank cells we
                                        return a false.
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the value of the cell as a boolean</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalStateException</code> - if the cell type returned by <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellType--"><code>getCellType()</code></a>
                                        is not <a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellType.html#BOOLEAN"><code>CellType.BOOLEAN</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#BLANK"><code>CellType.BLANK</code></a>
                                        or
                                        <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html#FORMULA"><code>CellType.FORMULA</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getErrorCellValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getErrorCellValue</h4>
                                <pre>byte&nbsp;getErrorCellValue()</pre>
                                <div class="block">Get the value of the cell as an error code.
                                    <p>
                                        For strings, numbers, and booleans, we throw an exception.
                                        For blank cells we return a 0.
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the value of the cell as an error code</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalStateException</code> - if the cell type returned by <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellType--"><code>getCellType()</code></a>
                                        isn't <a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellType.html#ERROR"><code>CellType.ERROR</code></a>
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                           title="enum in org.apache.poi.ss.usermodel"><code>for error codes</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellStyle-org.apache.poi.ss.usermodel.CellStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellStyle</h4>
                                <pre>void&nbsp;setCellStyle(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</pre>
                                <div class="block"><p>Set the style for the cell. The style should be an CellStyle
                                    created/retrieved from
                                    the Workbook.</p>

                                    <p>To change the style of a cell without affecting other cells that use the same
                                        style,
                                        use
                                        <a href="../../../../../org/apache/poi/ss/util/CellUtil.html#setCellStyleProperties-org.apache.poi.ss.usermodel.Cell-java.util.Map-"><code>CellUtil.setCellStyleProperties(Cell,
                                            Map)</code></a></p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>style</code> - reference contained in the workbook.
                                        If the value is null then the style information is removed causing the cell to
                                        used the default workbook style.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Workbook.html#createCellStyle--"><code>Workbook.createCellStyle()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellStyle</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;getCellStyle()</pre>
                                <div class="block">Return the cell's style.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell's style. Always not-null. Default cell style has zero index and can be
                                        obtained as
                                        <code>workbook.getCellStyleAt(0)</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Workbook.html#getCellStyleAt-int-"><code>Workbook.getCellStyleAt(int)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAsActiveCell--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAsActiveCell</h4>
                                <pre>void&nbsp;setAsActiveCell()</pre>
                                <div class="block">Sets this cell as the active cell for the worksheet</div>
                            </li>
                        </ul>
                        <a name="getAddress--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAddress</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;getAddress()</pre>
                                <div class="block">Gets the address of this cell</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>A1</code> style address of this cell</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.14beta1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellComment-org.apache.poi.ss.usermodel.Comment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellComment</h4>
                                <pre>void&nbsp;setCellComment(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                        title="interface in org.apache.poi.ss.usermodel">Comment</a>&nbsp;comment)</pre>
                                <div class="block">Assign a comment to this cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>comment</code> - comment associated with this cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellComment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellComment</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                        title="interface in org.apache.poi.ss.usermodel">Comment</a>&nbsp;getCellComment()</pre>
                                <div class="block">Returns comment associated with this cell</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>comment associated with this cell or <code>null</code> if not found</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeCellComment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeCellComment</h4>
                                <pre>void&nbsp;removeCellComment()</pre>
                                <div class="block">Removes the comment for this cell, if there is one.</div>
                            </li>
                        </ul>
                        <a name="getHyperlink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHyperlink</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.ss.usermodel">Hyperlink</a>&nbsp;getHyperlink()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>hyperlink associated with this cell or <code>null</code> if not found</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHyperlink-org.apache.poi.ss.usermodel.Hyperlink-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHyperlink</h4>
                                <pre>void&nbsp;setHyperlink(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.ss.usermodel">Hyperlink</a>&nbsp;link)</pre>
                                <div class="block">Assign a hyperlink to this cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>link</code> - hyperlink associated with this cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeHyperlink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeHyperlink</h4>
                                <pre>void&nbsp;removeHyperlink()</pre>
                                <div class="block">Removes the hyperlink for this cell, if there is one.</div>
                            </li>
                        </ul>
                        <a name="getArrayFormulaRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getArrayFormulaRange</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;getArrayFormulaRange()</pre>
                                <div class="block">Only valid for array formula cells</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>range of the array formula group that the cell belongs to.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isPartOfArrayFormulaGroup--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isPartOfArrayFormulaGroup</h4>
                                <pre>boolean&nbsp;isPartOfArrayFormulaGroup()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if this cell is part of group of cells having a common array
                                        formula.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Cell.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/BuiltinFormats.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Cell.html" target="_top">Frames</a></li>
        <li><a href="Cell.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
